This is a beta autodoc build; expect bugs and missing information. Report an Issue, Contribute, Learn more about stdlib source code.
`S` to search, `?` for more options

Loading...

#

This function is not tested or referenced.

This declaration is not tested or referenced, and it has therefore not been included in semantic analysis, which means the only documentation available is whatever is in the doc comments.

## Parameters

## Errors

anyerror means the error set is known only at runtime.

## Search Results

show all results

## No Results Found

Here are some things you can try:

- Check out the Language Reference for the language itself.
- Check out the Learn page for other helpful resources for learning Zig.
- Use your search engine.

Press `?` to see keyboard shortcuts and `Esc` to return.

## Fields

## Types

## Namespaces

## Global Variables

## Functions

## Values

## Error Sets

## Examples

## DocTests

## Tests

# Keyboard Shortcuts

`?`
  Show this help modal

`s`
  Focus the search field

`↑`
  Move up in search results

`↓`
  Move down in search results

`⏎`
  Go to active search result

`Esc`
  Clear focus; close this modal